Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.owscommon_new
Class DomainType

    java.lang.Object
      org.deegree.owscommon_new.Parameter
          org.deegree.owscommon_new.DomainType

    public class DomainType

extends Parameter

`DomainType` is describes the domain of a parameter according to the OWS common specification 1.0.0. It also implements quite a few extensions.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: mschneider $

Constructor Summary
`DomainType(boolean optional, boolean repeatable, String description, int direction, QualifiedName name, List<TypedLiteral> values, List<Interval> ranges, TypedLiteral defaultValue, boolean anyValueAllowed, String meaning, boolean noValuesAllowed, CoordinateSystem referenceSystem, QualifiedName unitOfMeasure, Values valueList, Object metadata)` Standard constructor that initializes all encapsulated data.

Method Summary
`boolean` | `areNoValuesAllowed()`
`TypedLiteral` | `getDefaultValue()`
`String` | `getMeaning()`
`Object` | `getMetadata()`
`QualifiedName` | `getName()`
`List<Interval>` | `getRanges()`
`CoordinateSystem` | `getReferenceSystem()`
`QualifiedName` | `getUnitOfMeasure()`
`Values` | `getValueList()`
`List<TypedLiteral>` | `getValues()`
`boolean` | `isAnyValueAllowed()`

Methods inherited from class org.deegree.owscommon_new.Parameter
`getDescription, getDirection, isOptional, isRepeatable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomainType

    public DomainType(boolean optional,
                      boolean repeatable,
                      String description,
                      int direction,
                      QualifiedName name,
                      List<TypedLiteral> values,
                      List<Interval> ranges,
                      TypedLiteral defaultValue,
                      boolean anyValueAllowed,
                      String meaning,
                      boolean noValuesAllowed,
                      CoordinateSystem referenceSystem,
                      QualifiedName unitOfMeasure,
                      Values valueList,
                      Object metadata)

  Standard constructor that initializes all encapsulated data.

  Parameters:
    `optional` -
    `repeatable` -
    `description` -
    `direction` -
    `name` -
    `values` -
    `ranges` -
    `defaultValue` -
    `anyValueAllowed` -
    `meaning` -
    `noValuesAllowed` -
    `referenceSystem` -
    `unitOfMeasure` -
    `valueList` -
    `metadata` -

Method Detail

### isAnyValueAllowed

    public boolean isAnyValueAllowed()

  Returns:
    Returns whether any value is allowed.

### getDefaultValue

    public TypedLiteral getDefaultValue()

  Returns:
    Returns the defaultValue.

### getMeaning

    public String getMeaning()

  Returns:
    Returns the meaning.

### getMetadata

    public Object getMetadata()

  Returns:
    Returns the metadata.

### getName

    public QualifiedName getName()

  Returns:
    Returns the name.

### areNoValuesAllowed

    public boolean areNoValuesAllowed()

  Returns:
    Returns the noValuesAllowed.

### getRanges

    public List<Interval> getRanges()

  Returns:
    Returns the ranges.

### getReferenceSystem

    public CoordinateSystem getReferenceSystem()

  Returns:
    Returns the referenceSystem.

### getUnitOfMeasure

    public QualifiedName getUnitOfMeasure()

  Returns:
    Returns the unitOfMeasure.

### getValueList

    public Values getValueList()

  Returns:
    Returns the valueList.

### getValues

    public List<TypedLiteral> getValues()

  Returns:
    Returns the values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org